WordPress.org

Ready to get started?Download WordPress

Forums

slider issue with Photoria - jquery error (13 posts)

  1. rexel99
    Member
    Posted 1 year ago #

    I think due to jquery updates in latter wordpress versions (now with 1.8.3), the slider within the Photoria theme (from wpzoom) is no longer working.
    I have pages established with featured images and this was working, now with recent updates only the first image displays (others are pre-loaded and hidden by the css) but the auto/manual scrolling next/previous does not activate the change or show the other images.
    In the console I can see an error;
    Syntax error, unrecognized expression: [object Object][rel='2']
    But can not find where this is activated or what to modify to correct the problem.
    Site is at photo.morgans.cc if you wish to see/test.

  2. cliffhumit
    Member
    Posted 1 year ago #

    How did you figure it out. I just updated wordpress and the same thing is happening. What did you finally do.
    I'm pulling my hair out and running in circle.
    Thanks in advance.

  3. rexel99
    Member
    Posted 1 year ago #

    For the moment I have replaced wp-includes/js/jquery.js with an earlier version, 1.8.0 or earlier seems to be ok and doesnt upset anything else I am using.

  4. cliffhumit
    Member
    Posted 1 year ago #

    Brilliant!!!! Took less then five minutes!!!
    I love firebug, but so much still a big mystery to me.
    I am amazed at what is possible and how much I've learned, but I wouldn't have figured that out. I just don't have the knowledge yet.
    Guess some weird conflict with the new WP update is all I can figure out. WOW, that hurt.
    Your answer was very clear.
    Thank you VERY MUCH. I spent a good six hours downloading other themes, looking through the same forum answers over and over. UGH.
    Thank you so much for taking the time to write back.
    Happy Holidays.

    For those who need more info:
    I Googled for the version. Anyone else can find it here.
    http://code.jquery.com/jquery-1.8.0.min.js, It is simply text.

    1) Simply go through your FTP in your C Panel.
    2) Locate the file wp-includes/js/jquery.js
    3) Edit the file - cut the text, paste into a text editor (just in case), replace with new Text you just got from the above link.
    Done!

    Of course I always make backups. Cut the old, paste into a text editor, save by version number. Replace, see what happens and always remember or make notes of what you did, cause if it doesn't work you can always back track.

    Good Luck people!

  5. rexel99
    Member
    Posted 1 year ago #

    :-) Glad I could be of help.
    Not the best solution, until I can find/understand where the call to this function is and update it this is a simple answer. Thanks for adding this further description... I also went through so many other forums and blogs that are full of guesses and 'turn off plugins' then defer into other directions... couldnt find any help elsewhere either.

  6. wilhud
    Member
    Posted 1 year ago #

    If anyone is looking for a fix that uses the more current versions of jQuery rather than reverting to an older version, you can download the programmer's updated version of LoopedSlider called SlidesJS...

    http://slidesjs.com/

  7. svenwildschut
    Member
    Posted 1 year ago #

    Hello,
    I have the same problem as Rexel99.
    I have pages established with featured images and this was working, now with recent updates only the first image displays (others are pre-loaded and hidden by the css) but the auto/manual scrolling next/previous does not activate the change or show the other images.

    I installed the new version of Photoria 2.0. But that didn't work. So I used my backup to put back the original Photoria working theme.

    Now the slideshow doesn't work...

    I tried installing the earlier version of Jquery. But that didn't work.

    Hope somebody can help me solve.
    http://www.svenfotografie.nl

  8. rexel99
    Member
    Posted 1 year ago #

    I have found (and heard) of various plugins that can also interupt the requests and stop this theme working properly... Otherwise I can only say that downgrading the jquery file (as described above) worked for me.

  9. bodhizero
    Member
    Posted 1 year ago #

    I had the same issue with a Woo theme using jQuery 1.8.3 and loopedSlider 0.5.4. I fixed it by editing line 164 of loopedSlider.js.

    From: jQuery(pagination+'[rel="' + (t) + '"]',obj).parent().addClass('active');

    To: jQuery('[rel="' + (t) + '"]',obj).parent().addClass('active');

    Hope this helps.

  10. dorothai
    Member
    Posted 1 year ago #

    Thanks bodhizero!!!!
    This resolved the looped slider issue of my Woo Theme!!!

  11. yodiyo
    Member
    Posted 1 year ago #

    I had the same problem as Rexel99. I didn't like the idea of using an older version of jquery, so I've gone for Photoria 2.0. Bit of a nuisance as it's set up differently and I'll have to reconfigure a few things.

    Maybe I'll just get a new theme!

    Bodhirezo - thanks for the code update but I couldn't find the same code to change in the loopedSlider js that I had for Photoria.

  12. syamtech
    Member
    Posted 1 year ago #

    1. Follow cliffhumit step by step

    2. If still not working, just change the version in loopedslider.js, line 42, if you still not found, you can refer this

    if($.fn.jquery < '1.8.0') {return;}

    copy and paste...

    i surely you woo theme or another theme is working good now....

  13. sbernado
    Member
    Posted 1 year ago #

    @bodhizero - Awesome fix. Thank you for sharing!

Topic Closed

This topic has been closed to new replies.

About this Topic